Bug 821259

Summary: Cut multi-byte patch incompatibilities
Product: [Fedora] Fedora Reporter: Andrej Antas <cheaterblue>
Component: coreutilsAssignee: Ondrej Vasik <ovasik>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: kdudka, mail, maxamillion, mbriza, ovasik, p, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-14 10:53:05 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
patch adding multi-byte functionality tests
none
Proposed patch to fix the issue none

Description Andrej Antas 2012-05-13 12:09:19 EDT
Description of problem:
As multibyte patch contains different paths from upstream and it is hard to
track the changes in behaviour, this bugzilla will be to track found
incompatibilites && fixes in coreutils-i18n patch for cut utility.


Version-Release number of selected component (if applicable):
coreutils-8.15-8.fc18


Steps to Reproduce:
1. Call following commands with LC_ALL=C and LC_ALL=fr_FR.UTF-8 locales

a) echo -n -e "x" "y" | cut -f2-

b) echo -n -e ":\n" | qw(cut -f --)

c) echo -n -e ":\n" | qw(cut -b '')

d) echo -n -e "" | qw(cut -f 2-0)
  
Actual results:
Results are different (or command fails)

Expected results:
Results should be same

Additional info:
mistakes found after applying attached patch (it adds multibyte tests for utilities cut, expand, fold, join, pr, sort, unexpand, uniq)
Comment 1 Andrej Antas 2012-05-13 12:51:51 EDT
Created attachment 584160 [details]
patch adding multi-byte functionality tests
Comment 2 Martin Bříza 2012-07-24 10:31:16 EDT
Created attachment 600041 [details]
Proposed patch to fix the issue

Hello,
this patch should fix the bug you reported. The original code wasn't ported to multi-byte processing as it should be and that caused the program to ignore lines that didn't contain the delimiter.
I'm afraid though there still are some bugs left, the whole i18n patch was written in a very non-sustainable way, I'm thinking of way how to improve it and I'll try to do it when I'm sure how to do it properly.
Comment 3 Martin Bříza 2012-07-24 10:36:00 EDT
I'm sorry - the _first_ bug, I'll have a look at the other ones later
Comment 4 Fedora End Of Life 2013-04-03 15:36:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Ondrej Vasik 2013-08-14 10:53:05 EDT
Martin's patch already in Fedora, others seems to be just intentional change in the message format and should be handled otherwise if we want to enable the multibyte path in general. Closing RAWHIDE.